package com.dzeio.openhealth.core

import android.content.Context
import android.util.Log
import androidx.work.ExistingPeriodicWorkPolicy
import androidx.work.PeriodicWorkRequest
import androidx.work.WorkManager
import androidx.work.Worker
import androidx.work.WorkerParameters
import com.dzeio.openhealth.Application

abstract class BaseWorker(context: Context, params: WorkerParameters) : Worker(context, params) {

    companion object {

        fun schedule(tag: String, request: PeriodicWorkRequest, context: Context) {
            Log.d("${Application.TAG}/BaseWorker", "Scheduled worker $tag")
            WorkManager.getInstance(context)
                .enqueueUniquePeriodicWork(tag, ExistingPeriodicWorkPolicy.KEEP, request)
        }
    }
}