package com.dzeio.openhealth.units

import com.dzeio.openhealth.R

object Units {
    enum class Mass(
        /**
         * Value based on the Kilogram
         */
        val modifier: Float,
        val singular: Int,
        val plural: Int,
        val unit: Int
    ) {
        KILOGRAM(
            1f,
            R.string.unit_mass_kilogram_name_singular,
            R.string.unit_mass_kilogram_name_plural,
            R.string.unit_mass_kilogram_unit
        ),
        POUND(
            0.45359237f,
            R.string.unit_mass_pound_name_singular,
            R.string.unit_mass_pound_name_plural,
            R.string.unit_mass_pound_unit
        )
    }

    enum class Volume(
        /**
         * Value based on the Kilogram
         */
        val modifier: Float,
        val singular: Int,
        val plural: Int,
        val unit: Int
    ) {
        MILLILITER(
            1f,
            R.string.unit_volume_milliliter_name_singular,
            R.string.unit_volume_milliliter_name_plural,
            R.string.unit_volume_milliliter_unit
        ),
        IMPERIAL_OUNCE(
            0.03519503f,
            R.string.unit_volume_imperial_ounce_name_singular,
            R.string.unit_volume_imperial_ounce_name_plural,
            R.string.unit_volume_ounce_unit
        ),
        US_OUNCE(
            0.03381413f,
            R.string.unit_volume_us_ounce_name_singular,
            R.string.unit_volume_us_ounce_name_plural,
            R.string.unit_volume_ounce_unit
        )
    }
}
